<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Syntax.SentenceModels</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.SentenceModels.html#createSentence"><span class="hs-identifier">createSentence</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="BasicData.html"><span class="hs-identifier">BasicData</span></a></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="EuskeraAppError.html"><span class="hs-identifier">EuskeraAppError</span></a></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Features.html"><span class="hs-identifier">Features</span></a></span><span>
</span><span id="line-6"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.html"><span class="hs-identifier">Lexis</span></a></span><span>
</span><span id="line-7"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Syntax.Constituent.html"><span class="hs-identifier">Syntax.Constituent</span></a></span><span>
</span><span id="line-8"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Syntax.NominalPhrases.html"><span class="hs-identifier">Syntax.NominalPhrases</span></a></span><span>
</span><span id="line-9"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html"><span class="hs-identifier">Syntax.ProtoSentence</span></a></span><span>
</span><span id="line-10"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Syntax.VerbalPhrases.html"><span class="hs-identifier">Syntax.VerbalPhrases</span></a></span><span>
</span><span id="line-11"></span><span>
</span><span id="line-12"></span><span class="hs-comment">-- | Given a 'ProtoSentence', generate a Sentence constituent</span><span>
</span><span id="line-13"></span><span class="annot"><a href="Syntax.SentenceModels.html#createSentence"><span class="hs-identifier hs-type">createSentence</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#Sentence"><span class="hs-identifier hs-type">Sentence</span></a></span><span>
</span><span id="line-14"></span><span id="createSentence"><span class="annot"><span class="annottext">createSentence :: ProtoSentence -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#createSentence"><span class="hs-identifier hs-var hs-var">createSentence</span></a></span></span><span> </span><span id="local-6989586621679083081"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083081"><span class="hs-identifier hs-var">s</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-keyword">case</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; Verb
</span><a href="Syntax.ProtoSentence.html#mainVerb"><span class="hs-identifier hs-var hs-var">mainVerb</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083081"><span class="hs-identifier hs-var">s</span></a></span><span> </span><span class="hs-keyword">of</span><span>
</span><span id="line-15"></span><span>  </span><span class="annot"><a href="Lexis.Verb.html#Nor"><span class="hs-identifier hs-type">Nor</span></a></span><span> </span><span class="hs-special">{</span><span class="hs-special">}</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">[Char] -&gt; Sentence
forall a. HasCallStack =&gt; [Char] -&gt; a
</span><span class="hs-identifier hs-var">error</span></span><span> </span><span class="annot"><span class="annottext">[Char]
</span><span class="hs-string">&quot;Unimplemented&quot;</span></span><span>
</span><span id="line-16"></span><span>  </span><span class="annot"><a href="Lexis.Verb.html#Copula"><span class="hs-identifier hs-type">Copula</span></a></span><span> </span><span class="hs-special">{</span><span class="hs-special">}</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#copula"><span class="hs-identifier hs-var">copula</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083081"><span class="hs-identifier hs-var">s</span></a></span><span>
</span><span id="line-17"></span><span>  </span><span class="annot"><a href="Lexis.Verb.html#NorNork"><span class="hs-identifier hs-type">NorNork</span></a></span><span> </span><span class="hs-special">{</span><span class="hs-special">}</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#norNork"><span class="hs-identifier hs-var">norNork</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083081"><span class="hs-identifier hs-var">s</span></a></span><span>
</span><span id="line-18"></span><span>  </span><span class="annot"><a href="Lexis.Verb.html#NorNori"><span class="hs-identifier hs-type">NorNori</span></a></span><span> </span><span class="hs-special">{</span><span class="hs-special">}</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">[Char] -&gt; Sentence
forall a. HasCallStack =&gt; [Char] -&gt; a
</span><span class="hs-identifier hs-var">error</span></span><span> </span><span class="annot"><span class="annottext">[Char]
</span><span class="hs-string">&quot;Unimplemented&quot;</span></span><span>
</span><span id="line-19"></span><span>  </span><span class="annot"><a href="Lexis.Verb.html#NorNoriNork"><span class="hs-identifier hs-type">NorNoriNork</span></a></span><span> </span><span class="hs-special">{</span><span class="hs-special">}</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">[Char] -&gt; Sentence
forall a. HasCallStack =&gt; [Char] -&gt; a
</span><span class="hs-identifier hs-var">error</span></span><span> </span><span class="annot"><span class="annottext">[Char]
</span><span class="hs-string">&quot;Unimplemented&quot;</span></span><span>
</span><span id="line-20"></span><span>
</span><span id="line-21"></span><span class="annot"><a href="Syntax.SentenceModels.html#copula"><span class="hs-identifier hs-type">copula</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#Sentence"><span class="hs-identifier hs-type">Sentence</span></a></span><span>
</span><span id="line-22"></span><span id="copula"><span class="annot"><span class="annottext">copula :: ProtoSentence -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#copula"><span class="hs-identifier hs-var hs-var">copula</span></a></span></span><span> </span><span id="local-6989586621679083071"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-23"></span><span>  </span><span class="hs-keyword">case</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">ProtoSentence -&gt; SentenceType
</span><a href="Syntax.ProtoSentence.html#sentType"><span class="hs-identifier hs-var hs-var">sentType</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; Bool
</span><a href="Syntax.ProtoSentence.html#negated"><span class="hs-identifier hs-var hs-var">negated</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">of</span><span>
</span><span id="line-24"></span><span>    </span><span class="hs-special">(</span><span class="annot"><span class="annottext">SentenceType
</span><a href="Features.Sentential.html#Declarative"><span class="hs-identifier hs-var">Declarative</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">True</span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; [Sentence] -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#addConstituents"><span class="hs-identifier hs-var">addConstituents</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var hs-var">norCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="Syntax.SentenceModels.html#no"><span class="hs-identifier hs-var">no</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083064"><span class="hs-identifier hs-var">aux</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083063"><span class="hs-identifier hs-var">attr</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083062"><span class="hs-identifier hs-var">v</span></a></span><span class="hs-special">]</span><span>
</span><span id="line-25"></span><span>    </span><span class="hs-special">(</span><span class="annot"><span class="annottext">SentenceType
</span><a href="Features.Sentential.html#Declarative"><span class="hs-identifier hs-var">Declarative</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">False</span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; [Sentence] -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#addConstituents"><span class="hs-identifier hs-var">addConstituents</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var hs-var">norCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083063"><span class="hs-identifier hs-var">attr</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083062"><span class="hs-identifier hs-var">v</span></a></span><span class="hs-special">]</span><span>
</span><span id="line-26"></span><span>    </span><span class="hs-special">(</span><span class="annot"><span class="annottext">SentenceType
</span><a href="Features.Sentential.html#YesNoInterrogative"><span class="hs-identifier hs-var">YesNoInterrogative</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">True</span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; [Sentence] -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#addConstituents"><span class="hs-identifier hs-var">addConstituents</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var hs-var">norCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="Syntax.SentenceModels.html#no"><span class="hs-identifier hs-var">no</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083064"><span class="hs-identifier hs-var">aux</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083063"><span class="hs-identifier hs-var">attr</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083062"><span class="hs-identifier hs-var">v</span></a></span><span class="hs-special">]</span><span>
</span><span id="line-27"></span><span>    </span><span class="hs-special">(</span><span class="annot"><span class="annottext">SentenceType
</span><a href="Features.Sentential.html#YesNoInterrogative"><span class="hs-identifier hs-var">YesNoInterrogative</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">False</span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; [Sentence] -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#addConstituents"><span class="hs-identifier hs-var">addConstituents</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var hs-var">norCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083063"><span class="hs-identifier hs-var">attr</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083062"><span class="hs-identifier hs-var">v</span></a></span><span class="hs-special">]</span><span>
</span><span id="line-28"></span><span>  </span><span class="hs-keyword">where</span><span>
</span><span id="line-29"></span><span>    </span><span id="local-6989586621679083063"><span class="annot"><span class="annottext">attr :: Sentence
</span><a href="#local-6989586621679083063"><span class="hs-identifier hs-var hs-var">attr</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Sentence -&gt; Sentence -&gt; Sentence
</span><a href="Syntax.NominalPhrases.html#agreeNPs"><span class="hs-identifier hs-var">agreeNPs</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var hs-var">norCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#attribute"><span class="hs-identifier hs-var hs-var">attribute</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-30"></span><span>    </span><span id="local-6989586621679083064"><span class="annot"><span class="annottext">aux :: Sentence
</span><a href="#local-6989586621679083064"><span class="hs-identifier hs-var hs-var">aux</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Sentence -&gt; Sentence
</span><a href="#local-6989586621679083058"><span class="hs-identifier hs-var">agree</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Verb -&gt; VF -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#auxiliary"><span class="hs-identifier hs-var">auxiliary</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">[Char] -&gt; Verb
</span><a href="Lexis.Verb.html#Nor"><span class="hs-identifier hs-var">Nor</span></a></span><span> </span><span class="annot"><span class="annottext">[Char]
</span><span class="hs-string">&quot;izan&quot;</span></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083056"><span class="hs-identifier hs-var">vf</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-31"></span><span>    </span><span id="local-6989586621679083062"><span class="annot"><span class="annottext">v :: Sentence
</span><a href="#local-6989586621679083062"><span class="hs-identifier hs-var hs-var">v</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Sentence -&gt; Sentence
</span><a href="#local-6989586621679083058"><span class="hs-identifier hs-var">agree</span></a></span><span> </span><span class="annot"><span class="annottext">(Sentence -&gt; Sentence) -&gt; (Lexis -&gt; Sentence) -&gt; Lexis -&gt; Sentence
forall b c a. (b -&gt; c) -&gt; (a -&gt; b) -&gt; a -&gt; c
</span><span class="hs-operator hs-var">.</span></span><span> </span><span class="annot"><span class="annottext">[[Char]] -&gt; Lexis -&gt; Sentence
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">[Char]
</span><span class="hs-string">&quot;mainVerb&quot;</span></span><span class="hs-special">]</span><span> </span><span class="annot"><span class="annottext">(Lexis -&gt; Sentence) -&gt; Lexis -&gt; Sentence
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">Verb -&gt; VF -&gt; Lexis
</span><a href="Lexis.html#V"><span class="hs-identifier hs-var">V</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">[Char] -&gt; Verb
</span><a href="Lexis.Verb.html#Copula"><span class="hs-identifier hs-var">Copula</span></a></span><span> </span><span class="annot"><span class="annottext">[Char]
</span><span class="hs-string">&quot;izan&quot;</span></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">VF -&gt; Bool -&gt; VF
</span><a href="Syntax.SentenceModels.html#mainVerbFeatures"><span class="hs-identifier hs-var">mainVerbFeatures</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083056"><span class="hs-identifier hs-var">vf</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Bool
</span><a href="Syntax.ProtoSentence.html#negated"><span class="hs-identifier hs-var hs-var">negated</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">)</span><span class="hs-special">)</span><span>
</span><span id="line-32"></span><span>    </span><span id="local-6989586621679083056"><span class="annot"><span class="annottext">vf :: VF
</span><a href="#local-6989586621679083056"><span class="hs-identifier hs-var hs-var">vf</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; VF
</span><a href="Syntax.SentenceModels.html#genVF"><span class="hs-identifier hs-var">genVF</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span>
</span><span id="line-33"></span><span>    </span><span id="local-6989586621679083058"><span class="annot"><span class="annottext">agree :: Sentence -&gt; Sentence
</span><a href="#local-6989586621679083058"><span class="hs-identifier hs-var hs-var">agree</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Sentence -&gt; Sentence -&gt; Sentence
</span><a href="Syntax.VerbalPhrases.html#norAgreement"><span class="hs-identifier hs-var">norAgreement</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var hs-var">norCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083071"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-34"></span><span>
</span><span id="line-35"></span><span class="annot"><a href="Syntax.SentenceModels.html#norNork"><span class="hs-identifier hs-type">norNork</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#Sentence"><span class="hs-identifier hs-type">Sentence</span></a></span><span>
</span><span id="line-36"></span><span id="norNork"><span class="annot"><span class="annottext">norNork :: ProtoSentence -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#norNork"><span class="hs-identifier hs-var hs-var">norNork</span></a></span></span><span> </span><span id="local-6989586621679083049"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-37"></span><span>  </span><span class="hs-keyword">case</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">ProtoSentence -&gt; SentenceType
</span><a href="Syntax.ProtoSentence.html#sentType"><span class="hs-identifier hs-var hs-var">sentType</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; Bool
</span><a href="Syntax.ProtoSentence.html#negated"><span class="hs-identifier hs-var hs-var">negated</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">of</span><span>
</span><span id="line-38"></span><span>    </span><span class="hs-special">(</span><span class="annot"><span class="annottext">SentenceType
</span><a href="Features.Sentential.html#Declarative"><span class="hs-identifier hs-var">Declarative</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">False</span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; [Sentence] -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#addConstituents"><span class="hs-identifier hs-var">addConstituents</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norkCons"><span class="hs-identifier hs-var hs-var">norkCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var hs-var">norCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083047"><span class="hs-identifier hs-var">v</span></a></span><span class="hs-special">]</span><span>
</span><span id="line-39"></span><span>    </span><span class="hs-special">(</span><span class="annot"><span class="annottext">SentenceType
</span><a href="Features.Sentential.html#Declarative"><span class="hs-identifier hs-var">Declarative</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">True</span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; [Sentence] -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#addConstituents"><span class="hs-identifier hs-var">addConstituents</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norkCons"><span class="hs-identifier hs-var hs-var">norkCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="Syntax.SentenceModels.html#no"><span class="hs-identifier hs-var">no</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083046"><span class="hs-identifier hs-var">aux</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var hs-var">norCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083047"><span class="hs-identifier hs-var">v</span></a></span><span class="hs-special">]</span><span>
</span><span id="line-40"></span><span>    </span><span class="hs-special">(</span><span class="annot"><span class="annottext">SentenceType
</span><a href="Features.Sentential.html#YesNoInterrogative"><span class="hs-identifier hs-var">YesNoInterrogative</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">False</span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; [Sentence] -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#addConstituents"><span class="hs-identifier hs-var">addConstituents</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norkCons"><span class="hs-identifier hs-var hs-var">norkCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var hs-var">norCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083047"><span class="hs-identifier hs-var">v</span></a></span><span class="hs-special">]</span><span>
</span><span id="line-41"></span><span>    </span><span class="hs-special">(</span><span class="annot"><span class="annottext">SentenceType
</span><a href="Features.Sentential.html#YesNoInterrogative"><span class="hs-identifier hs-var">YesNoInterrogative</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">True</span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; [Sentence] -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#addConstituents"><span class="hs-identifier hs-var">addConstituents</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norkCons"><span class="hs-identifier hs-var hs-var">norkCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="Syntax.SentenceModels.html#no"><span class="hs-identifier hs-var">no</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083046"><span class="hs-identifier hs-var">aux</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var hs-var">norCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="#local-6989586621679083047"><span class="hs-identifier hs-var">v</span></a></span><span class="hs-special">]</span><span>
</span><span id="line-42"></span><span>  </span><span class="hs-keyword">where</span><span>
</span><span id="line-43"></span><span>    </span><span id="local-6989586621679083046"><span class="annot"><span class="annottext">aux :: Sentence
</span><a href="#local-6989586621679083046"><span class="hs-identifier hs-var hs-var">aux</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Sentence -&gt; Sentence
</span><a href="#local-6989586621679083045"><span class="hs-identifier hs-var">agree</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Verb -&gt; VF -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#auxiliary"><span class="hs-identifier hs-var">auxiliary</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">[Char] -&gt; Verb
</span><a href="Lexis.Verb.html#NorNork"><span class="hs-identifier hs-var">NorNork</span></a></span><span> </span><span class="annot"><span class="annottext">[Char]
</span><span class="hs-string">&quot;ukan&quot;</span></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083044"><span class="hs-identifier hs-var">vf</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-44"></span><span>    </span><span id="local-6989586621679083047"><span class="annot"><span class="annottext">v :: Sentence
</span><a href="#local-6989586621679083047"><span class="hs-identifier hs-var hs-var">v</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Sentence -&gt; Sentence
</span><a href="#local-6989586621679083045"><span class="hs-identifier hs-var">agree</span></a></span><span> </span><span class="annot"><span class="annottext">(Sentence -&gt; Sentence) -&gt; (Lexis -&gt; Sentence) -&gt; Lexis -&gt; Sentence
forall b c a. (b -&gt; c) -&gt; (a -&gt; b) -&gt; a -&gt; c
</span><span class="hs-operator hs-var">.</span></span><span> </span><span class="annot"><span class="annottext">[[Char]] -&gt; Lexis -&gt; Sentence
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">[Char]
</span><span class="hs-string">&quot;mainVerb&quot;</span></span><span class="hs-special">]</span><span> </span><span class="annot"><span class="annottext">(Lexis -&gt; Sentence) -&gt; Lexis -&gt; Sentence
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">Verb -&gt; VF -&gt; Lexis
</span><a href="Lexis.html#V"><span class="hs-identifier hs-var">V</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Verb
</span><a href="Syntax.ProtoSentence.html#mainVerb"><span class="hs-identifier hs-var hs-var">mainVerb</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">VF -&gt; Bool -&gt; VF
</span><a href="Syntax.SentenceModels.html#mainVerbFeatures"><span class="hs-identifier hs-var">mainVerbFeatures</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083044"><span class="hs-identifier hs-var">vf</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Bool
</span><a href="Syntax.ProtoSentence.html#negated"><span class="hs-identifier hs-var hs-var">negated</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">)</span><span class="hs-special">)</span><span>
</span><span id="line-45"></span><span>    </span><span id="local-6989586621679083044"><span class="annot"><span class="annottext">vf :: VF
</span><a href="#local-6989586621679083044"><span class="hs-identifier hs-var hs-var">vf</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; VF
</span><a href="Syntax.SentenceModels.html#genVF"><span class="hs-identifier hs-var">genVF</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span>
</span><span id="line-46"></span><span>    </span><span id="local-6989586621679083045"><span class="annot"><span class="annottext">agree :: Sentence -&gt; Sentence
</span><a href="#local-6989586621679083045"><span class="hs-identifier hs-var hs-var">agree</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Sentence -&gt; Sentence -&gt; Sentence -&gt; Sentence
</span><a href="Syntax.VerbalPhrases.html#norNorkAgreement"><span class="hs-identifier hs-var">norNorkAgreement</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norkCons"><span class="hs-identifier hs-var hs-var">norkCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">ProtoSentence -&gt; Sentence
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var hs-var">norCons</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083049"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-47"></span><span>
</span><span id="line-48"></span><span class="annot"><a href="Syntax.SentenceModels.html#no"><span class="hs-identifier hs-type">no</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#Constituent"><span class="hs-identifier hs-type">Constituent</span></a></span><span>
</span><span id="line-49"></span><span id="no"><span class="annot"><span class="annottext">no :: Sentence
</span><a href="Syntax.SentenceModels.html#no"><span class="hs-identifier hs-var hs-var">no</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[Char] -&gt; Sentence -&gt; Sentence
</span><a href="Syntax.Constituent.html#addTag"><span class="hs-identifier hs-var">addTag</span></a></span><span> </span><span class="annot"><span class="annottext">[Char]
</span><span class="hs-string">&quot;mainVerb&quot;</span></span><span> </span><span class="annot"><span class="annottext">Sentence
</span><a href="BasicData.html#ez"><span class="hs-identifier hs-var">ez</span></a></span><span>
</span><span id="line-50"></span><span>
</span><span id="line-51"></span><span class="annot"><a href="Syntax.SentenceModels.html#addConstituents"><span class="hs-identifier hs-type">addConstituents</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="hs-special">[</span><span class="annot"><a href="Syntax.Constituent.html#Constituent"><span class="hs-identifier hs-type">Constituent</span></a></span><span class="hs-special">]</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#Sentence"><span class="hs-identifier hs-type">Sentence</span></a></span><span>
</span><span id="line-52"></span><span id="addConstituents"><span class="annot"><span class="annottext">addConstituents :: ProtoSentence -&gt; [Sentence] -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#addConstituents"><span class="hs-identifier hs-var hs-var">addConstituents</span></a></span></span><span> </span><span id="local-6989586621679083039"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083039"><span class="hs-identifier hs-var">s</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[[Char]] -&gt; SF -&gt; [Sentence] -&gt; Sentence
</span><a href="Syntax.Constituent.html#S"><span class="hs-identifier hs-var">S</span></a></span><span> </span><span class="hs-special">[</span><span class="hs-special">]</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">SentenceType -&gt; SF
</span><a href="Features.Sentential.html#SF"><span class="hs-identifier hs-var">SF</span></a></span><span> </span><span class="annot"><span class="annottext">(SentenceType -&gt; SF) -&gt; SentenceType -&gt; SF
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; SentenceType
</span><a href="Syntax.ProtoSentence.html#sentType"><span class="hs-identifier hs-var hs-var">sentType</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083039"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-53"></span><span>
</span><span id="line-54"></span><span class="annot"><a href="Syntax.SentenceModels.html#auxiliary"><span class="hs-identifier hs-type">auxiliary</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Lexis.Verb.html#Verb"><span class="hs-identifier hs-type">Verb</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Verbal.html#VF"><span class="hs-identifier hs-type">VF</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#VPConstituent"><span class="hs-identifier hs-type">VPConstituent</span></a></span><span>
</span><span id="line-55"></span><span id="auxiliary"><span class="annot"><span class="annottext">auxiliary :: Verb -&gt; VF -&gt; Sentence
</span><a href="Syntax.SentenceModels.html#auxiliary"><span class="hs-identifier hs-var hs-var">auxiliary</span></a></span></span><span> </span><span id="local-6989586621679083035"><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679083035"><span class="hs-identifier hs-var">v</span></a></span></span><span> </span><span id="local-6989586621679083034"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083034"><span class="hs-identifier hs-var">vf</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[[Char]] -&gt; Lexis -&gt; Sentence
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">[Char]
</span><span class="hs-string">&quot;mainVerb&quot;</span></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">[Char]
</span><span class="hs-string">&quot;aux&quot;</span></span><span class="hs-special">]</span><span> </span><span class="annot"><span class="annottext">(Lexis -&gt; Sentence) -&gt; Lexis -&gt; Sentence
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">Verb -&gt; VF -&gt; Lexis
</span><a href="Lexis.html#V"><span class="hs-identifier hs-var">V</span></a></span><span> </span><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679083035"><span class="hs-identifier hs-var">v</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">VF -&gt; VF
</span><a href="Features.Verbal.html#auxOrTrinko"><span class="hs-identifier hs-var">auxOrTrinko</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083034"><span class="hs-identifier hs-var">vf</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-56"></span><span>
</span><span id="line-57"></span><span class="annot"><a href="Syntax.SentenceModels.html#genVF"><span class="hs-identifier hs-type">genVF</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Verbal.html#VF"><span class="hs-identifier hs-type">VF</span></a></span><span>
</span><span id="line-58"></span><span id="genVF"><span class="annot"><span class="annottext">genVF :: ProtoSentence -&gt; VF
</span><a href="Syntax.SentenceModels.html#genVF"><span class="hs-identifier hs-var hs-var">genVF</span></a></span></span><span> </span><span id="local-6989586621679083032"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083032"><span class="hs-identifier hs-var">s</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="BasicData.html#baseVF"><span class="hs-identifier hs-var">baseVF</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">tense :: Tense
</span><a href="Features.Verbal.html#tense"><span class="hs-identifier hs-var">tense</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; Tense
</span><a href="Syntax.ProtoSentence.html#tenseS"><span class="hs-identifier hs-var hs-var">tenseS</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083032"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">aspect :: Aspect
</span><a href="Features.Verbal.html#aspect"><span class="hs-identifier hs-var">aspect</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">ProtoSentence -&gt; Aspect
</span><a href="Syntax.ProtoSentence.html#aspectS"><span class="hs-identifier hs-var hs-var">aspectS</span></a></span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679083032"><span class="hs-identifier hs-var">s</span></a></span><span class="hs-special">}</span><span>
</span><span id="line-59"></span><span>
</span><span id="line-60"></span><span class="annot"><a href="Syntax.SentenceModels.html#mainVerbFeatures"><span class="hs-identifier hs-type">mainVerbFeatures</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Verbal.html#VF"><span class="hs-identifier hs-type">VF</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Bool</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Verbal.html#VF"><span class="hs-identifier hs-type">VF</span></a></span><span>
</span><span id="line-61"></span><span id="mainVerbFeatures"><span class="annot"><span class="annottext">mainVerbFeatures :: VF -&gt; Bool -&gt; VF
</span><a href="Syntax.SentenceModels.html#mainVerbFeatures"><span class="hs-identifier hs-var hs-var">mainVerbFeatures</span></a></span></span><span> </span><span id="local-6989586621679083026"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083026"><span class="hs-identifier hs-var">vf</span></a></span></span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">True</span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">VF -&gt; VF
</span><a href="Features.Verbal.html#lexicalVerb"><span class="hs-identifier hs-var">lexicalVerb</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083026"><span class="hs-identifier hs-var">vf</span></a></span><span>
</span><span id="line-62"></span><span class="annot"><a href="Syntax.SentenceModels.html#mainVerbFeatures"><span class="hs-identifier hs-var">mainVerbFeatures</span></a></span><span> </span><span id="local-6989586621679083024"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083024"><span class="hs-identifier hs-var">vf</span></a></span></span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">False</span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">VF -&gt; VF
</span><a href="Features.Verbal.html#fullVerb"><span class="hs-identifier hs-var">fullVerb</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083024"><span class="hs-identifier hs-var">vf</span></a></span><span>
</span><span id="line-63"></span></pre></body></html>